/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 26.01.2004
 * Created by : s3595
 */

package at.spardat.xma.boot.component;

/**
 * interface between boot runtime and runtime server.
 *
 * @author s3595
 * @version $Id: IBootRuntimeServer.java 2084 2007-11-27 14:53:31Z s3460 $
 */
public interface IBootRuntimeServer {

    /**
     * get the name of the class that implements the interface name given as input parameter.
     * returns the server implementation
     *
     * @param    interfaceName name of the plugin interface
     * @return   name of the implementation class.
     */
    public String getPluginImplServer( String interfaceName );


}
