/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on : 25.06.2003
 * Created by : s3595
 *
 */
package at.spardat.xma.boot.logger;

/**
 * LogHandlerDefault
 *
 * @author <a href="mailto:schaeferc@spardat.at">s3595 Chr. Schaefer (CGS)</a>
 * @version $Id: LogHandlerDefault.java 2084 2007-11-27 14:53:31Z s3460 $
 *
 */
public class LogHandlerDefault extends LogHandlerBase implements ILogHandler {

        protected LogHandlerDefault() {
        }

        public synchronized void publish(LogRecord record) {
           System.out.println( super.format( record ) );
        }

        public void close() {
            System.out.println("log handler close");
        }

}
